<script setup lang="ts">
import DialogReceipt from './DialogReceipt.vue';


import { useReceiptStore } from '@/stores/receipt';



import { ref } from 'vue';
const receiptStore = useReceiptStore()


const noCash = ref(false)
const noItem = ref(false)

function showReceipt(){
    if (receiptStore.receiptItems.length >= 1 && receiptStore.receipt.receivedAmount >= receiptStore.receipt.total) {
        receiptStore.showReceiptDialog()
        receiptStore.addPoint()
    }else if (receiptStore.receiptItems.length < 1){
        noItem.value = !noItem.value
    }else{
        noCash.value = !noCash.value
    }
}





</script>

<template>
    <v-container>
        <v-row>
            <v-col cols="12" sm="6">
                <v-btn block rounded="xl" size="large" color="red" prepend-icon="mdi-close" @click="receiptStore.clear">Cancel</v-btn>
            </v-col>
            <v-col cols="12" sm="6">
                <v-btn block rounded="xl" size="large" color="green" prepend-icon="mdi-check" @click="showReceipt()">Confirm</v-btn>
            </v-col>
        </v-row>
    </v-container>
    <!-- dialog เมื่อยังไม่ใส่เงินสด -->
    <v-dialog v-model="noCash" width="250">
        <template v-slot:default="{ isActive }">
            <v-card title="Warning">
            <v-card-text>
                You didn't insert cash
            </v-card-text>

            <v-card-actions>
                <v-spacer></v-spacer>

                <v-btn
                text="Close"
                color="red"
                @click="isActive.value = false"
                ></v-btn>
            </v-card-actions>
            </v-card>
        </template>
    </v-dialog>
    <!-- dialog ไม่ใส่สินค้า -->
    <v-dialog v-model="noItem" width="250">
        <template v-slot:default="{ isActive }">
            <v-card title="Warning">
            <v-card-text>
                You didn't insert product
            </v-card-text>

            <v-card-actions>
                <v-spacer></v-spacer>

                <v-btn
                text="Close"
                color="red"
                @click="isActive.value = false"
                ></v-btn>
            </v-card-actions>
            </v-card>
        </template>
    </v-dialog>
    <DialogReceipt></DialogReceipt>
</template>

